Skip to navigation

Modify a Card

Updates the details of an existing Card, including adding new Spend Controls after the original Spend Controls expire.

Authentication

AuthorizationBearer

OAuth 2.0 client credentials. Exchange your API key and secret for a bearer token, then send it as Authorization: Bearer <token>.

Path parameters

cardIdstringRequired<=19 characters
A unique ID that is created for the Card.

Request

This endpoint expects an object.
accountIdstringRequired<=36 characters
The ID of the Account being used to fund the Card.
spendControlsobjectRequired

The Spend Control object determines how, when, and where on-demand cards can be authorized. The cards in INACTIVE status do not have an existing Spend Control object. So, if OPTIONAL fields are unpopulated in a PUT /cards call for an INACTIVE Card, their value will be defaulted to those defined during the initial configuration set up.

userDetailsobjectRequired

This object is for the details of the user who is logged into your app when the request for modifying an on-demand Card is made. This information will support customer service and fraud mitigation by American Express.

reloadablebooleanOptional
Indicates whether the Card can be reloaded with a new Spend Control object after the original Spend Control either expires or is fully utilized.
reconciliationFieldobjectOptional
The information collected for reconciliation.

Response headers

Content-TypestringOptional

application/json

Request-IdstringOptional
The unique ID for the API request.

Response

Successful operation
statusenum
The status of the Card.
Allowed values:
cardDetailsobject
The details of the Card being updated.
cardobjectOptional
The Card request being returned.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error